package com.aitrainer.api

import org.springframework.boot.SpringApplication
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.builder.SpringApplicationBuilder
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController


@SpringBootApplication
@RestController
class ApiApplication

    @Override
    fun configure(application: SpringApplicationBuilder): SpringApplicationBuilder {
        return application.sources(ApiApplication::class.java)
    }


    fun main(args: Array<String>) {
        SpringApplication.run(ApiApplication::class.java, *args)
    }


    @RequestMapping( "/")
    fun hello(): String {
        return "Hello Aitrainer API";
    }
